FLAM4SEPA-API FLAM4 SEPA Archive Interface (z/OS only)

Data Fields
F4sNfTab Union Reference
Data types

Overlay/Union for the different request structure arrays. More...

`#include <FL4SEPA.h>`

## Data Fields
TsF4sNfEntry21 | asNfe21 [F4S_MAXANZNF]
| The version 2.1 request structure. More...
TsF4sNfEntry22 | asNfe22 [F4S_MAXANZNF]
| The version 2.2 request structure. More...
TsF4sNfEntry23 | asNfe23 [F4S_MAXANZNF]
| The version 2.3 request structure (identical to 2.2 but new behavior for update) More...
TsF4sNfEntry50 | asNfe50 [F4S_MAXANZNF]
| The version 2.3 request structure (identical to 2.2 but new signature format (FL5)) More...

## Detailed Description

Overlay/Union for the different request structure arrays.

In this form of the interface, a new search field will result in an extended lookup structure. This means that for each extension of the search field, a new request structure must be defined.

## Field Documentation

## ◆ asNfe21

TsF4sNfEntry21 F4sNfTab::asNfe21[F4S_MAXANZNF]

The version 2.1 request structure.

## ◆ asNfe22

TsF4sNfEntry22 F4sNfTab::asNfe22[F4S_MAXANZNF]

The version 2.2 request structure.

## ◆ asNfe23

TsF4sNfEntry23 F4sNfTab::asNfe23[F4S_MAXANZNF]

The version 2.3 request structure (identical to 2.2 but new behavior for update)

## ◆ asNfe50

TsF4sNfEntry50 F4sNfTab::asNfe50[F4S_MAXANZNF]

The version 2.3 request structure (identical to 2.2 but new signature format (FL5))

The documentation for this union was generated from the following file:

- FL4SEPA.h